Index: Singular/Makefile.am
===================================================================
--- Singular/Makefile.am	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ Singular/Makefile.am	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -177,5 +177,5 @@
 ESingular_LDADD =  ${top_builddir}/libpolys/reporter/libreporter.la \
 ${top_builddir}/libpolys/misc/libmisc.la ${top_builddir}/omalloc/libomalloc.la \
-${top_builddir}/resources/libresources.la
+${top_builddir}/resources/libsingular_resources.la
 
 
@@ -187,5 +187,5 @@
 TSingular_LDADD = ${top_builddir}/libpolys/reporter/libreporter.la \
 ${top_builddir}/libpolys/misc/libmisc.la ${top_builddir}/omalloc/libomalloc.la \
-${top_builddir}/resources/libresources.la
+${top_builddir}/resources/libsingular_resources.la
 
 TSingular_SOURCES = emacs.cc fegetopt.c fegetopt.h feOptTS.inc feOpt.cc
Index: autogen.sh
===================================================================
--- autogen.sh	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ autogen.sh	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -5,4 +5,5 @@
 # -d --warnings=all
 autoreconf  -v -f -i
+find . -name configure -exec sed -i "s/-g -O2/-g/g" {} \; -print
 
 cd -
Index: factory/configure.ac
===================================================================
--- factory/configure.ac	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ factory/configure.ac	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -121,8 +121,8 @@
     [test "x$enable_streamio" = xyes])
 
-AC_ARG_VAR( [RESOURCES_INCLUDES], [INCLUDES for libresources] )
-AC_ARG_VAR( [RESOURCES_LIBS], [LIBS for libresources] )
-
-AC_MSG_CHECKING(whether libresources should be used)
+AC_ARG_VAR( [RESOURCES_INCLUDES], [INCLUDES for libsingular_resources] )
+AC_ARG_VAR( [RESOURCES_LIBS], [LIBS for libsingular_resources] )
+
+AC_MSG_CHECKING(whether libsingular_resources should be used)
 if test "x$with_Singular" = xyes;
 then
@@ -135,5 +135,5 @@
   AC_MSG_RESULT(${RESOURCES_LIBS:-unset})
 
-  PKG_REQUIRE="$PKG_REQUIRE resources"
+  PKG_REQUIRE="$PKG_REQUIRE singular_resources"
   AC_SUBST(PKG_REQUIRE)
 else
Index: gfanlib/configure.ac
===================================================================
--- gfanlib/configure.ac	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ gfanlib/configure.ac	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -3,5 +3,5 @@
 
 AC_PREREQ([2.63])
-AC_INIT([libgfan], [0.1], [ren@mathematik.uni-kl.de])
+AC_INIT([libgfan], [0.6], [ren@mathematik.uni-kl.de])
 AC_CONFIG_MACRO_DIR([../m4])
 AC_CONFIG_AUX_DIR([../build-aux])
Index: libpolys/configure.ac
===================================================================
--- libpolys/configure.ac	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ libpolys/configure.ac	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -91,8 +91,8 @@
 ENABLE_RESOURCES="yes"
 
-AC_ARG_VAR( [RESOURCES_INCLUDES], [INCLUDES for libresources] )
-AC_ARG_VAR( [RESOURCES_LIBS], [LIBS for libresources] )
+AC_ARG_VAR( [RESOURCES_INCLUDES], [INCLUDES for libsingular_resources] )
+AC_ARG_VAR( [RESOURCES_LIBS], [LIBS for libsingular_resources] )
 
-AC_MSG_CHECKING(whether libresources should be used)
+AC_MSG_CHECKING(whether libsingular_resources should be used)
 
 if test "x$ENABLE_RESOURCES" = xyes;
@@ -106,5 +106,5 @@
   AC_MSG_RESULT(${RESOURCES_LIBS:-unset})
 
-  PKG_REQUIRE="$PKG_REQUIRE resources"
+  PKG_REQUIRE="$PKG_REQUIRE singular_resources"
   AC_SUBST(PKG_REQUIRE)
 else
Index: m4/options.m4
===================================================================
--- m4/options.m4	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ m4/options.m4	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -151,6 +151,6 @@
 AC_DEFUN([SING_USE_RESOURCES],
 [
- AC_ARG_ENABLE(resources,
-  [AS_HELP_STRING([--disable-resources], [do NOT use libresources within the factory])],
+ AC_ARG_ENABLE(singular_resources,
+  [AS_HELP_STRING([--disable-singular_resources], [do NOT use libsingular_resources within the factory])],
   [if test "x$enableval"  = "xyes"; then
     ENABLE_RESOURCES=yes
@@ -158,10 +158,10 @@
     ENABLE_RESOURCES=yes)
 
- AC_MSG_CHECKING(whether to use libresources in factory and co.)
+ AC_MSG_CHECKING(whether to use libsingular_resources in factory and co.)
  if test "x$ENABLE_RESOURCES" = xyes; then
   AC_MSG_RESULT(yes)
   RESOURCES_INCLUDES="-I$ac_abs_top_srcdir "
 
-  RESOURCES_LIBS="$ac_abs_top_builddir/resources/libresources.la"
+  RESOURCES_LIBS="$ac_abs_top_builddir/resources/libsingular_resources.la"
 
   AC_SUBST(RESOURCES_INCLUDES)
@@ -172,5 +172,5 @@
   ac_configure_args="$ac_configure_args $ENABLE_ARG"
 
-  PKG_REQUIRE="$PKG_REQUIRE resources"
+  PKG_REQUIRE="$PKG_REQUIRE singular_resources"
   AC_SUBST(PKG_REQUIRE)
  else
Index: resources/Makefile.am
===================================================================
--- resources/Makefile.am	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ resources/Makefile.am	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -1,7 +1,7 @@
 ACLOCAL_AMFLAGS = -I ../m4
 
-libresources_LTLIBRARIES = libresources.la
+libsingular_resources_LTLIBRARIES = libsingular_resources.la
 
-libresourcesdir = $(libdir)
+libsingular_resourcesdir = $(libdir)
 
 
@@ -10,15 +10,15 @@
 
 SOURCES  = omFindExec.c feResource.cc feFopen.cc
-libresources_la_SOURCES   = $(SOURCES)
+libsingular_resources_la_SOURCES   = $(SOURCES)
 
-libresources_la_LDFLAGS   = -release ${PACKAGE_VERSION}
+libsingular_resources_la_LDFLAGS   = -release ${PACKAGE_VERSION}
 
-libresources_includedir  =$(includedir)/resources
+libsingular_resources_includedir  =$(includedir)/resources
 
-libresources_include_HEADERS = omFindExec.h feResource.h feFopen.h
+libsingular_resources_include_HEADERS = omFindExec.h feResource.h feFopen.h
 
-nodist_libresources_include_HEADERS = resourcesconfig.h
-DISTCLEANFILES = $(nodist_libresources_include_HEADERS)
+nodist_libsingular_resources_include_HEADERS = singular_resourcesconfig.h
+DISTCLEANFILES = $(nodist_libsingular_resources_include_HEADERS)
 
 pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = resources.pc
+pkgconfig_DATA = singular_resources.pc
Index: resources/configure.ac
===================================================================
--- resources/configure.ac	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ resources/configure.ac	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -1,3 +1,3 @@
-AC_INIT([resources], [4.0.3])
+AC_INIT([singular_resources], [4.0.3])
 
 AC_CONFIG_MACRO_DIR([../m4])
@@ -15,5 +15,5 @@
 
 # Add pre'prefixed config
-AX_PREFIX_CONFIG_H([resourcesconfig.h],[],[_config.h])
+AX_PREFIX_CONFIG_H([singular_resourcesconfig.h],[],[_config.h])
 
 SING_RESET_FLAGS()
@@ -71,4 +71,4 @@
 AC_DEFINE_UNQUOTED([DATA_DIR],"$config_datadir",[datadir])
 
-AC_CONFIG_FILES([resources.pc Makefile])
+AC_CONFIG_FILES([singular_resources.pc Makefile])
 AC_OUTPUT
Index: resources/feFopen.cc
===================================================================
--- resources/feFopen.cc	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ resources/feFopen.cc	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -1,3 +1,3 @@
-#include "resourcesconfig.h"
+#include "singular_resourcesconfig.h"
 #include "feResource.h"
 #include "feFopen.h"
Index: resources/feResource.cc
===================================================================
--- resources/feResource.cc	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ resources/feResource.cc	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -6,5 +6,5 @@
 */
 
-#include "resourcesconfig.h"
+#include "singular_resourcesconfig.h"
 #include "feResource.h"
 #include "omFindExec.h"
Index: resources/omFindExec.c
===================================================================
--- resources/omFindExec.c	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ resources/omFindExec.c	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -7,5 +7,5 @@
 
 
-#include "resourcesconfig.h"
+#include "singular_resourcesconfig.h"
 
 
Index: sources/resources.pc.in
===================================================================
--- resources/resources.pc.in	(revision f7a7431c2c9f7edfccca81fac262c41c14c61d09)
+++ 	(revision )
@@ -1,17 +1,0 @@
-prefix=@prefix@
-exec_prefix=@exec_prefix@
-libdir=@libdir@
-includedir=@includedir@
-
-Name: @PACKAGE@
-Description: The Singular resources manager
-Version: @PACKAGE_VERSION@
-URL: https://github.com/Singular/Sources/tree/spielwiese/@PACKAGE@
-
-# Requires:
-# Conflicts:
-
-Cflags: -I${includedir} @SINGULAR_CFLAGS@
-Libs: -L${libdir} -l@PACKAGE@
-# Libs.private:
-
Index: resources/singular_resources.pc.in
===================================================================
--- resources/singular_resources.pc.in	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
+++ resources/singular_resources.pc.in	(revision a3a6a07858b7e91c4c8a3c8d07e53957a8547af2)
@@ -0,0 +1,17 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE@
+Description: The Singular resources manager
+Version: @PACKAGE_VERSION@
+URL: https://github.com/Singular/Sources/tree/spielwiese/@PACKAGE@
+
+# Requires:
+# Conflicts:
+
+Cflags: -I${includedir} @SINGULAR_CFLAGS@
+Libs: -L${libdir} -l@PACKAGE@
+# Libs.private:
+
